<ion-header>
  <ion-navbar color="dark">
    <ion-title>
      Création tournoi
    </ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
    <p class="police">Veuillez remplir le formulaire ci-dessous...</p>
    <form (ngSubmit)="submit()">
      <ion-list no-lines>
        <ion-item>
          <ion-label floating>Titre *</ion-label>
          <ion-input type="text" [(ngModel)]="data.nom" name="nom"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>url de l'image</ion-label>
          <ion-input type="text" [(ngModel)]="data.url" name="url"></ion-input>
        </ion-item>
        <ion-item>
            <ion-label floating>Nom du jeu *</ion-label>
            <ion-input type="text" [(ngModel)]="data.jeu" name="jeu"></ion-input>
        </ion-item>
        <ion-item>
            <ion-label floating>Lieu *</ion-label>
            <ion-input type="text" [(ngModel)]="data.lieu" name="lieu"></ion-input>
        </ion-item>
        <ion-item>
            <ion-label floating>Prix d'entrée en €</ion-label>
            <ion-input type="number" [(ngModel)]="data.prix" name="prix"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>Jour *</ion-label>
          <ion-datetime displayFormat="DD/MM/YY" pickerFormat="D MMMM YYYY" [(ngModel)]="data.date" name="date"></ion-datetime>
        </ion-item>
        <ion-item>
          <ion-label floating>Heure *</ion-label>
          <ion-datetime displayFormat="HH:mm" pickerFormat="HH mm" [(ngModel)]="data.time" name="time"></ion-datetime>
        </ion-item>
      </ion-list>
      <button ion-button full [disabled]="!data.nom || !data.jeu || !data.lieu || !data.date || !data.time">Créer le tournoi</button>
    </form>
  </ion-content>
